## mtree-netbsd 20180822

=== debian/changelog ===
mtree-netbsd (20180822-9) unstable; urgency=medium

  * Apply patch from Bastian Germann to debian/copyright.
    Closes: #1034247.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Apr 2025 06:07:18 -0500

mtree-netbsd (20180822-8) unstable; urgency=medium

  * Remove old transitional package bsdtar from deps.
  * Tweaks to packaging
  * Add some nbcompat prototypes.  Closes: #1066190, #1066647.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Mar 2024 17:46:25 -0500

mtree-netbsd (20180822-7) unstable; urgency=medium

  * [Helmut Grohne] Properly handle DEB_BUILD_OPTIONS=nocheck.  Closes: #1003640.
  * Switch to the libmd sha256sum.  The one in nbcompat was suddenly
    not working right any more.  Closes: #1026754.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 20 Dec 2022 00:19:28 -0600

mtree-netbsd (20180822-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 01:03:29 +0100

mtree-netbsd (20180822-6) unstable; urgency=medium

  * Remove dependency on freebsd-buildutils for now, since it is
    blocking transition to testing and is only used for tests.
    Will restore if #957230 gets resolved.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Jan 2021 09:48:19 -0600

mtree-netbsd (20180822-5) unstable; urgency=medium

  * Update build-dep to support libarchive-tools instead of bsdtar.
    Closes: #945890.
  * Update standards-version.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 08 Dec 2019 09:40:24 -0600

mtree-netbsd (20180822-4) unstable; urgency=low

  * Coordinate with libnbcompat-dev v5 libraries

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Oct 2018 08:44:49 -0500

mtree-netbsd (20180822-3) unstable; urgency=low

  * Harmonize build-dep with libnbcompat
  * Correct debian/copyright.  Closes: #910332.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Oct 2018 07:50:43 -0500

mtree-netbsd (20180822-2) unstable; urgency=medium

  * Adding tests, verifying compatibility with FreeBSD fmtree from
    freebsd-buildutils
  * Added sub-second time precision
  * Added README.Debian

 -- John Goerzen <jgoerzen@complete.org>  Thu, 04 Oct 2018 08:40:30 -0500

mtree-netbsd (20180822-1) unstable; urgency=medium

  * Initial release (Closes: #910253)  <nnnn is the bug number of your ITP>

 -- John Goerzen <jgoerzen@complete.org>  Wed, 03 Oct 2018 21:49:57 -0500
