=== debian/control ===
Source: mtree-netbsd
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 13), autotools-dev, bmake, libnbcompat-dev (>= 20240319), libarchive-tools, libncurses-dev, libbsd-dev, libmd-dev
Standards-Version: 4.6.2
Homepage: https://cdn.netbsd.org/pub/pkgsrc/current/pkgsrc/pkgtools/mtree/README.html
Vcs-Git: https://github.com/jgoerzen/mtree-netbsd.git
Vcs-Browser: https://github.com/jgoerzen/mtree-netbsd

Package: mtree-netbsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Validates directory tree against specification
 The mtree utility compares a file hierarchy against a specification,
 creates a specification for a file hierarchy, or modifies a specification.
 This specification can be controlled by the user, but typically includes
 file/directory/symlink names, ownership information, permission bits, and
 so forth.  It may optionally also include various hashes, such as SHA-256
 or MD5.
 .
 This mtree utility can understand its own files, as well as those generated
 by the FreeBSD mtree (in Debian as fmtree in freebsd-buildutils and
 freebsd-glue) and bsdtar/libarchive.
