=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

# Install this in /usr/bin

# The -DBSD4_4 and -Dst_mtimespec=st_mtim are for sub-second time precision
override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/usr/bin LIBS="-lnbcompat -lmd" CPPFLAGS="$(CPPFLAGS) -D_GNU_SOURCE -DBSD4_4 -Dst_mtimespec=st_mtim"

MTREE_KEYWORDS := cksum,md5digest,sha1digest,sha256digest,rmd160,nlink,gname,uname

# Add tests
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Removing the next two to avoid dependency on freebsd-buildutils,
	# which is currently blocking transition of this package into testing,
	# per #957230.
	#fmtree -c -K $(MTREE_KEYWORDS) | ./mtree
	#./mtree -c -K $(MTREE_KEYWORDS) | sed -e 's/\(md5\|sha1\|sha256\|sha384\|sha512\)=/\1digest=/' -e 's/rmd160=/ripemd160digest=/' | fmtree
	bsdtar -cf - --options 'mtree:uname,gname,md5,sha1,sha256,sha384,sha512,device,flags,gid,link,mode,nlink,size,time,uid,type,uname' --format mtree . | ./mtree
	./mtree -c -K $(MTREE_KEYWORDS) | ./mtree -C -K $(MTREE_KEYWORDS) |  grep md5= | grep sha1= | grep sha256= | grep gname= | grep -q uname=
endif
